diff --git a/runtime/pgAdmin4.pro b/runtime/pgAdmin4.pro
index 06b3895..fd3985c 100644
--- a/runtime/pgAdmin4.pro
+++ b/runtime/pgAdmin4.pro
@@ -2,9 +2,15 @@
 greaterThan(QT_MAJOR_VERSION, 4) {
     message(Building for QT5+...)
     QT += webkitwidgets network widgets
+    win32 {
+      RC_ICONS += pgAdmin4.ico
+    }
 } else { 
     message(Building for QT4...)
-    QT += webkit network 
+    QT += webkit network
+    win32 {
+      RC_FILE += pgAdmin4.rc
+    }
 }
 
 CONFIG(debug, debug|release) {
diff --git a/runtime/pgAdmin4.rc b/runtime/pgAdmin4.rc
new file mode 100644
index 0000000..fdd4610
--- /dev/null
+++ b/runtime/pgAdmin4.rc
@@ -0,0 +1 @@
+IDI_ICON1 ICON DISCARDABLE "pgAdmin4.ico"
